package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部特色活动对象 t_branch_activity
 * 
 * @author ruoyi
 * @date 2023-07-18
 */
public class TBranchActivity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long activityId;

    /** 活动主题 */
    @Excel(name = "活动主题")
    private String activityTheme;

    /** 活动预期目标 */
    @Excel(name = "活动预期目标")
    private String activityGoal;

    /** 参加人员 */
    @Excel(name = "参加人员")
    private String activityAttendees;

    /** 活动日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "活动日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date activityDate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    public void setActivityId(Long activityId) 
    {
        this.activityId = activityId;
    }

    public Long getActivityId() 
    {
        return activityId;
    }

    public void setActivityTheme(String activityTheme) 
    {
        this.activityTheme = activityTheme;
    }

    public String getActivityTheme() 
    {
        return activityTheme;
    }

    public void setActivityGoal(String activityGoal) 
    {
        this.activityGoal = activityGoal;
    }

    public String getActivityGoal() 
    {
        return activityGoal;
    }

    public void setActivityAttendees(String activityAttendees) 
    {
        this.activityAttendees = activityAttendees;
    }

    public String getActivityAttendees() 
    {
        return activityAttendees;
    }

    public void setActivityDate(Date activityDate) 
    {
        this.activityDate = activityDate;
    }

    public Date getActivityDate() 
    {
        return activityDate;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("activityId", getActivityId())
            .append("activityTheme", getActivityTheme())
            .append("activityGoal", getActivityGoal())
            .append("activityAttendees", getActivityAttendees())
            .append("activityDate", getActivityDate())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
